Description: xvidcore: FTBFS on hurd-i386: unrecognized platform
 Currently, xvidcore does not compile on hurd-i386.
 The problem is the lack of support for GNU/Hurd in configure;
 the attached patch (which requires autoreconf) provides it.
Author: Pino Toscano <pino@debian.org>
Bug-Debian: http://bugs.debian.org/635662
Forwarded: Michael Militzer <michael@xvid.org>

--- a/build/generic/configure.in
+++ b/build/generic/configure.in
@@ -237,7 +237,7 @@
 STATIC_EXTENSION=""
 OBJECT_EXTENSION=""
 case "$target_os" in
-     *bsd*|linux*|beos|irix*|solaris*)
+     *bsd*|linux*|beos|irix*|solaris*|gnu*)
 	AC_MSG_RESULT([.so .a .o])
 	STATIC_EXTENSION="a"
 	SHARED_EXTENSION="so"
@@ -281,7 +281,7 @@
 ALTIVEC_CFLAGS=""
 PRE_SHARED_LIB=""
 case "$target_os" in
-     linux*|solaris*)
+     linux*|solaris*|gnu*)
 	AC_MSG_RESULT([ok])
 	STATIC_LIB="libxvidcore.\$(STATIC_EXTENSION)"
 	SHARED_LIB="libxvidcore.\$(SHARED_EXTENSION).\$(API_MAJOR).\$(API_MINOR)"
@@ -419,7 +419,7 @@
    if test "$found_nasm_comp_prog" = "yes" ; then
        AC_MSG_CHECKING([for asm object format])
        case "$target_os" in
-           *bsd*|linux*|beos|irix*|solaris*)
+           *bsd*|linux*|beos|irix*|solaris*|gnu*)
                if test "$ARCHITECTURE" = "X86_64" ; then
                    AC_MSG_RESULT([elf64])
                    NASM_FORMAT="elf64"
